#
# spec file for package python-pytest-runner
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pytest-runner
Version:        2.6.1
Release:        5.1
Summary:        Simple powerful testing with Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://pytest.org
Source:         http://pypi.python.org/packages/source/p/pytest-runner/pytest-runner-%{version}.tar.gz 
BuildRequires:  python-devel
BuildRequires:  python-hgtools
BuildRequires:  python-pytest
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools_scm
Requires:       python-pytest
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Invoke py.test as distutils command with dependency resolution.

%prep
%setup -q -n pytest-runner-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt CHANGES.txt docs/*
%{python_sitelib}/*

%changelog
* Thu Aug 13 2015 toddrme2178@gmail.com
- Update to version 2.6
  * Add support for un-named, environment-specific extras.
- Update to version 2.5.1
  * Restore Python 2.6 compatibility.
- Update to version 2.5
  * Moved hosting to pytest-dev:
    https://bitbucket.org/pytest-dev/pytest-runner
- Update to version 2.4
  * Added `documentation <https://pythonhosted.org/pytest-runner>`_.
  * Use setuptools_scm for version management and file discovery.
  * Updated internal packaging technique. README is now included
    in the package metadata.
- Update to version 2.3
  * Use hgdistver for version management and file discovery.
- Update to version 2.2
  * Honor ``.eggs`` directory for transient downloads as
    introduced in Setuptools 7.0.
- Update to version 2.1
  * The preferred invocation is now the 'pytest' command.
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 2.0
  + Removed support for the alternate usage. The recommended usage (as a
    distutils command) is now the only supported usage.
  + Removed support for the --junitxml parameter to the ptr command.
    Clients should pass the same parameter (and all other py.test arguments)
    to py.test via the --addopts parameter.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jan 30 2013 saschpe@suse.de
- There are no docs to build, drop Sphinx dependency
* Wed Jan 23 2013 adrian@suse.de
- initial package of version 1.2
